﻿@model Bll.Models.UserModel
@using Pl.Helper.HtmlExtensions

@Html.AntiForgeryToken()
<div class="row">
    <div class="col-md-4 border-end">
        <div class="d-flex flex-column align-items-center text-center p-3 py-5">
            <div class="profile-image">
                @if (!string.IsNullOrWhiteSpace(Model.ProfileImage))
                {
                    @Html.ConvertBase64ToImage(Model.ProfileImage)
                }
                else
                {
                    <img src="~/Content/Images/NoProfilePhoto.png" class="profile-image">
                }
            </div>
            <span class="font-weight-bold">@Model.Name @Model.Surname</span>
            <span class="text-black-50">@Model.Role</span>
            <div class="col-md-12">
                @Html.LabelFor(model => model.Image, "Change Profile Image", htmlAttributes: new { @class = "control-label col-md-2 w-100" })
                <div class="col-md-10 w-100">
                    <input name="Image" type="file" accept="image/*" class="border border-1 rounded w-100" />
                </div>
            </div>
            <span>@Html.ValidationMessageFor(model => model.Image, "", new { @class = "text-danger" })</span>
            <span>@Html.ValidationSummary(true, "", new { @class = "text-danger" })</span>
            @Html.HiddenFor(model => model.ProfileImage)
        </div>
    </div>

    <div class="col-md-8 border-end">
        <div class="p-3 py-5">
            <div class="d-flex justify-content-between align-items-center mb-3">
                <h4 class="text-right">Profile Settings</h4>
            </div>
            <div class="row mt-2">
                <div class="col-md-6">
                    @Html.LabelFor(model => model.Name, "Name", htmlAttributes: new { @class = "control-label col-md-2" })
                    <div class="col-md-10 w-100">
                        @Html.EditorFor(model => model.Name, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.Name, "", new { @class = "text-danger" })
                    </div>
                </div>
                <div class="col-md-6">
                    @Html.LabelFor(model => model.Surname, "Surname", htmlAttributes: new { @class = "control-label col-md-2" })
                    <div class="col-md-10 w-100">
                        @Html.EditorFor(model => model.Surname, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.Surname, "", new { @class = "text-danger" })
                    </div>
                </div>
            </div>
            <div class="row mt-3">
                <div class="col-md-12">
                    @Html.LabelFor(model => model.Patronymic, "Patronymic", htmlAttributes: new { @class = "control-label col-md-2" })
                    <div class="col-md-10 w-100">
                        @Html.EditorFor(model => model.Patronymic, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.Patronymic, "", new { @class = "text-danger" })
                    </div>
                </div>
                <div class="col-md-12">
                    @Html.LabelFor(model => model.Email, "Email", htmlAttributes: new { @class = "control-label col-md-2" })
                    <div class="col-md-10 w-100">
                        @Html.EditorFor(model => model.Email, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.Email, "", new { @class = "text-danger" })
                    </div>
                </div>
                <div class="col-md-12">
                    @Html.LabelFor(model => model.PhoneNumber, "Phone", htmlAttributes: new { @class = "control-label col-md-2" })
                    <div class="col-md-10 w-100">
                        @Html.EditorFor(model => model.PhoneNumber, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.PhoneNumber, "", new { @class = "text-danger" })
                    </div>
                </div>
                <div class="col-md-6">
                    @Html.LabelFor(model => model.Age, "Age", htmlAttributes: new { @class = "control-label col-md-2" })
                    <div class="col-md-10 w-100">
                        @Html.EditorFor(model => model.Age, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.Age, "", new { @class = "text-danger" })
                    </div>
                </div>
            </div>
            <div class="mt-5 text-center"><button class="btn btn-primary profile-button" type="submit">Save Profile</button></div>
        </div>
    </div>
</div>
